# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/faraday,ftwdt010.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Faraday Technology FTWDT010 watchdog

maintainers:
  - Linus Walleij <linus.walleij@linaro.org>
  - Corentin Labbe <clabbe@baylibre.com>

description: |
  This is an IP part from Faraday Technology found in the Gemini
  SoCs and others.

allOf:
  - $ref: "watchdog.yaml#"

properties:
  compatible:
    oneOf:
      - const: faraday,ftwdt010
      - items:
          - enum:
              - cortina,gemini-watchdog
              - moxa,moxart-watchdog
          - const: faraday,ftwdt010

  reg:
    maxItems: 1

  resets:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    const: PCLK

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    watchdog@41000000 {
      compatible = "faraday,ftwdt010";
      reg = <0x41000000 0x1000>;
      interrupts = <3 IRQ_TYPE_LEVEL_HIGH>;
      timeout-secs = <5>;
    };
  - |
    watchdog: watchdog@98500000 {
      compatible = "moxa,moxart-watchdog", "faraday,ftwdt010";
      reg = <0x98500000 0x10>;
      clocks = <&clk_apb>;
      clock-names = "PCLK";
    };
...
